Query list of payment profiles

This endpoint allows to query the list of payment profiles associated with a specific customer from their ID. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
customer_id
string

REQUIRED

Unique customer identifier for which the payment profiles are being queried. Can be obtained by sending a request to the "Search clients" endpoint.
Query
limit
integer
Pagination limit. This parameter specifies the maximum number of records you want to get in the response. It must be a numeric value, greater than or equal to 1 and less than or equal to 100. The default value is 50.
offset
integer
Pagination offset. This parameter determines the starting point from which the records should be obtained. It must be a numerical value greater than or equal to zero (0).
status
string
The current state of the payment profile. You must send it if you want to filter the profiles by status.
Response parameters
paging
object
data
array
It contains information about the payment profiles associated with the client. Each profile will be an object with its identification and associated information.
Errors

400Error

customer_id_mismatch

Request failed because the "customer_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

caller_id_mismatch

Request failed because the "caller_id" sent does not match the payment profile. Verify if the correct value was sent and try again.

site_id_mismatch

Request failed because the "site_id" does not match the payment profile. Verify if the correct value was sent and try again.

unknown_error_occurred

Unknown error. Contact Support for more information.

401Error

header_missing

Request failed because a required header is missing. Make sure that all necessary authentication headers are being sent.

Unauthorized Access Token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Error

resource_not_found

Request failed because the payment profile was not found. Verify that the payment profile ID, customer ID and caller ID are correct.

429Error

Too Many Requests

Request failed because the request rate has been exceeded. Reduce the frequency or implement a retry system with exponential backoff.

500Error

internal_server_error

Request failed due to an internal server error. Please try again later and, if the problem persists, contact Support with error details.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/customers/{customer_id}/payment-profiles?limit=50&status=READY'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
{
  "paging": {
    "total": 10,
    "total_pages": 100,
    "offset": 1,
    "limit": 10
  },
  "data": [
    {
      "id": "7036b192b541454fa9b9990660dfa1b5",
      "created_date": "2024-05-22T14:03:28.653Z",
      "last_updated_date": "2024-05-22T15:03:28.653Z",
      "description": "Simple description",
      "max_day_overdue": 5,
      "statement_descriptor": "Statement description",
      "status": "READY",
      "sequence_control": "AUTO",
      "payment_methods": [
        {
          "payment_method_id": "64abf0f5-3e15-48a5-9be0-a8ac56bbd87a",
          "id": "visa",
          "type": "credit_card",
          "card_id": 1234567890,
          "status": "READY",
          "default_method": true
        }
      ]
    }
  ]
}